"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = noLongerPossibleRenderer;

var _baseRenderer = _interopRequireDefault(require("./base-renderer"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Calculates various data for monitored trips that are no longer possible after
 * otp-middleware was unable to find a matching itinerary for a whole week.
 */
function noLongerPossibleRenderer(monitoredTrip) {
  const data = (0, _baseRenderer.default)(monitoredTrip);
  data.headingText = 'Trip is no longer possible';
  data.bodyText = 'The trip planner was unable to find your trip on any selected days of the week. Please try re-planning your itinerary to find an alternative route.';
  data.shouldRenderAlerts = false;
  data.shouldRenderDeleteTripButton = true;
  data.shouldRenderPlanNewTripButton = true;
  return data;
}

module.exports = exports.default;

//# sourceMappingURL=no-longer-possible-renderer.js